//Constantes

//Variables

var fallaMecanica = document.querySelector("#Falla-Mecanica");
var accidenteTransito = document.querySelector("#Accidente-transito");
var novedadPasajeros = document.querySelector("#Novedad-Pasajeros");
var solicitudLlamada = document.querySelector("#Solicitud-Llamada");
var otro = document.querySelector("#Otro");

//Funciones
//Función que asigna los eventos al cargar el documento principal
function alCargarDocumento(){
	fallaMecanica.addEventListener('click',fallaMecanicaF);
	accidenteTransito.addEventListener('click',accidenteTransitoF);
	novedadPasajeros.addEventListener('click',novedadPasajerosF);
	solicitudLlamada.addEventListener('click',solicitudLlamadaF);
	otro.addEventListener('click',otroF);
}


function borrarBotones(){
	document.getElementById("seccion").innerHTML = "<div class='display' style='color:green; font-weight: bold;'>Su mensaje ha sido enviado...</div>";
	setInterval(function(){
		window.close();
	},2000);	
}

function fallaMecanicaF(){

	$.ajax({
	    url: "mensajes.php",
	    type: 'POST',
	    data: {transaccion:"fallaMecanica"},
	    datatype: "JSON",
	    success: function(data) {
	     if((data.includes("OK")) == true) {
	        	console.log("Escritura exitosa");
	        	borrarBotones();
	        }
	        else{ console.log("Error en la Escritura");
	        	solicitudLlamadaF();	        	
	    	}
	   	}
	});
}

function accidenteTransitoF(){

	$.ajax({
	    url: "mensajes.php",
	    type: 'POST',
	    data: {transaccion:"accidenteTransito"},
	    datatype: "JSON",
	    success: function(data) {
	        if((data.includes("OK")) == true) {
	        	console.log("Escritura exitosa");
	        	borrarBotones();
	        }
	        else{ console.log("Error en la Escritura");
	        	solicitudLlamadaF();	        	
	    	}
	   	}
	});
}

function novedadPasajerosF(){

	$.ajax({
	    url: "mensajes.php",
	    type: 'POST',
	    data: {transaccion:"novedadPasajeros"},
	    datatype: "JSON",
	    success: function(data) {
	        if((data.includes("OK")) == true) {
	        	console.log("Escritura exitosa");
	        	borrarBotones();
	        }
	        else{ console.log("Error en la Escritura");
	        	solicitudLlamadaF();	        	
	    	}
	   	}
	});
}

function solicitudLlamadaF(){

	$.ajax({
	    url: "mensajes.php",
	    type: 'POST',
	    data: {transaccion:"solicitudLlamada"},
	    datatype: "JSON",
	    success: function(data) {  
	        if((data.includes("OK")) == true) {
	        	console.log("Escritura exitosa");
	        	borrarBotones();
	        }
	        else{ console.log("Error en la Escritura");
	        	solicitudLlamadaF();	        	
	    	}
	   	}
	});
}

function otroF(){
	var mensaje = prompt("Escriba el mensaje", "mensaje");
	$.ajax({
	    url: "mensajes.php",
	    type: 'POST',
	    data: {transaccion:'otro',msg:mensaje},
	    datatype: "JSON",
	    success: function(data) {  
	        if((data.includes("OK")) == true) {
	        	console.log("Escritura exitosa");
	        	borrarBotones();
	        }
	        else{ console.log("Error en la Escritura");
	        	solicitudLlamadaF();	        	
	    	}
	   	}
	});
}

//Eventos
window.addEventListener("load",alCargarDocumento);